• Documentation
Person
    Social URL to Person (1 credit per request)postGet Person by ID (1 credit per request)postName and Domain to Email (1 credit per request)post
Company
    LinkedIn URL to Company (1 credit per request)postDomain to Company (1 credit per request)postLinkedIn ID to Company (1 credit per request)postGet Company by ID (1 credit per request)post
Validation
    Validate an email address (1 credit)postValidate a phone number (1 credit)post
Search
    Search companiespostProspector searchpostProspector countpostFind a contact by name and company domainpostSearch by job title and company namepostSearch employees at a companypostSearch companies by name (exact or fuzzy)postSearch with AI (free-form text query)post
Field Meta
    Browse City valuespostBrowse Country Code valuespostBrowse Country Name valuespostBrowse Job Title valuespostBrowse State / Province valuespostBrowse Job Function valuespostBrowse Job Level valuespostBrowse Persona valuespostBrowse Company Entity Type valuespostBrowse Company Legal Type valuespostBrowse Industry (LinkedIn) valuespostBrowse CRM Technologies valuespostBrowse Marketing Automation Technologies valuespostBrowse ABM Technologies valuespostBrowse Sales Automation Technologies valuespostBrowse Analytics Technologies valuespostBrowse CMS Technologies valuespostBrowse MarTech Categories valuespostBrowse Conversation Intelligence Technologies valuespostBrowse Cloud Provider Technologies valuespostBrowse Email Hosting Technologies valuespostBrowse Email Security Technologies valuespostBrowse Application Security Technologies valuespostBrowse Cloud Security Technologies valuespostBrowse Development Technologies valuespostBrowse E-commerce Technologies valuespostBrowse ERP Technologies valuespost
User
    Get Credit Balanceget
Schemas
powered by Zudoku
B2BEnrich API
B2BEnrich API

Validation

Endpointhttps://api.b2benrich.com

Validate an email address (1 credit)

POST
https://api.b2benrich.com
/v1/validate/email

Check deliverability, quality, risk, sender details, domain info, and breach history for an email address. Cost: 1 credit per request.

Validate an email address (1 credit) › Headers

X-Api-Key
string · required

Validate an email address (1 credit) › Request Body

Request body for email validation.
email
string · minLength: 1 · required

The email address to validate.

Example: john.doe@gmail.com

Validate an email address (1 credit) › Responses

Successful Response

Wrapper returned by the ``/v1/validate/email`` endpoint.
status
string · required

'success' or 'error'.

Full email reputation payload, or null on failure.

POST/v1/validate/email
curl --request POST \
  --url https://api.b2benrich.com/v1/validate/email \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <string>' \
  --data '
{
  "email": "john.doe@gmail.com"
}
'
shell
Example Request Body
{
  "email": "john.doe@gmail.com"
}
json
application/json
Example Responses
{
  "status": "status",
  "data": {
    "email_address": "string",
    "email_deliverability": {
      "status": "string",
      "status_detail": "string",
      "is_format_valid": true,
      "is_smtp_valid": true,
      "is_mx_valid": true,
      "mx_records": [
        "string"
      ]
    },
    "email_quality": {
      "score": 0,
      "is_free_email": true,
      "is_username_suspicious": true,
      "is_disposable": true,
      "is_catchall": true,
      "is_subaddress": true,
      "is_role": true,
      "is_dmarc_enforced": true,
      "is_spf_strict": true,
      "minimum_age": 0
    },
    "email_sender": {
      "first_name": "string",
      "last_name": "string",
      "email_provider_name": "string",
      "organization_name": "string",
      "organization_type": "string"
    },
    "email_domain": {
      "domain": "string",
      "domain_age": 0,
      "is_live_site": true,
      "registrar": "string",
      "registrar_url": "string",
      "date_registered": "2024-08-25",
      "date_last_renewed": "2024-08-25",
      "date_expires": "2024-08-25",
      "is_risky_tld": true
    },
    "email_risk": {
      "address_risk_status": "string",
      "domain_risk_status": "string"
    },
    "email_breaches": {
      "total_breaches": 0,
      "date_first_breached": "2024-08-25T15:00:00Z",
      "date_last_breached": "2024-08-25T15:00:00Z",
      "breached_domains": [
        {
          "domain": "string",
          "date_breached": "2024-08-25T15:00:00Z"
        }
      ]
    }
  }
}
json
application/json

Validate a phone number (1 credit)

POST
https://api.b2benrich.com
/v1/validate/phone

Get carrier, location, messaging, validation, registration, risk, and breach data for a phone number. Cost: 1 credit per request.

Validate a phone number (1 credit) › Headers

X-Api-Key
string · required

Validate a phone number (1 credit) › Request Body

Request body for phone validation.
phone
string · minLength: 1 · required

The phone number to validate.

Example: +14159929960

Optional ISO country code (e.g. 'US') to help resolve national-format numbers.

Example: US

Validate a phone number (1 credit) › Responses

Successful Response

Wrapper returned by the ``/v1/validate/phone`` endpoint.
status
string · required

'success' or 'error'.

Full phone intelligence payload, or null on failure.

POST/v1/validate/phone
curl --request POST \
  --url https://api.b2benrich.com/v1/validate/phone \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Key: <string>' \
  --data '
{
  "phone": "+14159929960"
}
'
shell
Example Request Body
{
  "phone": "+14159929960"
}
json
application/json
Example Responses
{
  "status": "status",
  "data": {
    "phone_number": "string",
    "phone_format": {
      "international": "string",
      "national": "string"
    },
    "phone_carrier": {
      "name": "string",
      "line_type": "string",
      "mcc": "string",
      "mnc": "string"
    },
    "phone_location": {
      "country_name": "string",
      "country_code": "string",
      "country_prefix": "string",
      "region": "string",
      "city": "string",
      "timezone": "string"
    },
    "phone_messaging": {
      "sms_domain": "string",
      "sms_email": "string"
    },
    "phone_validation": {
      "is_valid": true,
      "line_status": "string",
      "is_voip": true,
      "minimum_age": 0
    },
    "phone_registration": {
      "name": "string",
      "type": "string"
    },
    "phone_risk": {
      "risk_level": "string",
      "is_disposable": true,
      "is_abuse_detected": true
    },
    "phone_breaches": {
      "total_breaches": 0,
      "date_first_breached": "string",
      "date_last_breached": "string",
      "breached_domains": [
        {
          "domain": "string",
          "breach_date": "string"
        }
      ]
    }
  }
}
json
application/json

CompanySearch